﻿:root {
    --basicdark: #20263E;
    --basiclightmd2: #dee2e6;
    --basiccolorfullmax: var(--secbg);
    --basiccolorfullmin: #43c2f3;
    --basiccolorfullmaxsecondary: #C45C31;
    --basiccolorfullminsecondary: #C5A643;
    --linkSec: #C6A75E;
    --sliderimgmaxheight: 550px;
    --slickmarginMb: 40px;
    --sliderimgratiopercent: 28.6%;
    --basicbg: #111827;
}

body {
}

/*------------------------ slider home -----------------------*/
.video-wrapper {
    display: flex;
    justify-content: center;
    background: var(--basicbg);
    overflow: hidden; /* Cache ce qui dépasse si la vidéo est trop large */
    background: var(--basicbg);
    /*min-height: calc(100vh - 65px);*/
}

.video-hd {
    width: 100%;
    /* Remplace le min-height fixe par un ratio dynamique */
    aspect-ratio: 16 / 9;
    display: block;
    object-fit: cover; /* 'cover' remplit tout l'espace sans bandes noires */
    background: var(--basicbg); /* Optionnel : couleur pendant le chargement */
}
/*------------------------ slider home -----------------------*/
.clictalk_dialog_content {
    bottom: 31px !important;
}

.vd-desk {
    display: block;
}
.vd-mob {
    display: none;
}

.hero {
    min-height: 400px;
    background-image: url('/m/up/site/bg-moto-city01.jpg');
    background-size: cover;
    background-position: center;
    background-attachment: fixed; /* effet de fond fixe */
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;

  background-repeat: repeat-y;       /* répétition verticale uniquement */
    background-attachment: fixed;      /* image fixe au scroll */
    background-position: center top;   /* position de départ */
    background-size: auto;    
}

.hero .overlay {
    transition: background 0.3s, border-radius 0.3s, opacity 0.3s;
    background-image: linear-gradient(to right, #3F5B46, #025156);
    opacity: 0.94;
    width: 100%;
    height: 100%;
}

@media screen and (max-width:1080px) {
    .vd-desk {
        display: none;
    }

    .vd-mob {
        display: block;
    }

    .video-hd {
        aspect-ratio: 5 / 6;
    }
}

/*-------- map Tn -------*/
#mapHm {
    display: flex;
    justify-content: center;
    gap:30px;
}
.map-pg {
    background: rgba(0, 0, 0, 0.2);
    border-radius: 4px;
    padding: 20px;
    border: 10px solid rgba(0, 0, 0, 0.35);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width:520px;
    max-height:350px;
}
.map-pg p {
    font-size: 20px;
}
.map-pg p span {display:block;}
.map-container {
    width: 100%;
    max-width: 300px;
    min-width: 190px;
    background: rgba(0, 0, 0, 0.2);
    border-radius: 4px;
    padding: 20px;
    border: 10px solid rgba(0, 0, 0, 0.35);
    display: flex;
    align-items: center;
    justify-content: center;
}

.gouvernorat {
  fill: #e0e0e0;
  /*stroke: #ffffff;
  stroke-width: 1;*/
  transition: fill 0.3s;
}

.gouvernorat:hover {
  fill: var(--basicbg);
}

/* L'effet de cercle animé */
.pulse-circle {
    fill: var(--basiccolorfullmaxsecondary);
    cursor: pointer;
}

.pulse-ring {
  fill: none;
  stroke: #ffffff;
  stroke-width: 24;
  animation: pulse-animation 2s infinite;
  transform-origin: center;
}

@keyframes pulse-animation {
  0% {
    transform: scale(1);
    opacity: 0.9;
  }
  100% {
    opacity: 0;
  }
}

@media screen and (max-width:992px) {
    .map-pg p {
        font-size: 16px;
    }
}
@media screen and (max-width:776px) {
    .map-pg p {
        font-size: 12px;
    }
}
@media screen and (max-width:450px) {
    .map-pg p span {
        display: none;
    }
}
/*------ map Tn end -----*/

/*---------- brands carousel -------------*/
.brands-carousel-container {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    max-width: 80%;
    margin: 0 auto;
}

.brands-wrapper {
    display: flex;
    overflow-x: auto;
    scroll-behavior: smooth;
    gap: 20px;
    padding: 10px;
    scrollbar-width: none; /* Cache la barre sur Firefox */
}

.brands-wrapper::-webkit-scrollbar {
    display: none; /* Cache la barre sur Chrome/Safari */
}

.brand-item {
    flex: 0 0 auto;
    width: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
    border-radius: 2px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.8);
    padding: 10px 2px 10px 2px;
}

.brand-item img {
    max-width: 90%;
    max-height: 90%;
    object-fit: contain;
}

.arrow-btn {
    color: white;
    border: none;
    padding: 10px 15px;
    cursor: pointer;
    z-index: 10;
    font-size: 18px;
    transition: all 1.3s;
}
.arrow-btn:hover {color: var(--secbg);}
/*---------- brands carousel -------------*/